#ifndef RTE_ADC_H
#define RTE_ADC_H

#include "common.h"


uint32_t RTE_ForceRead_KL30_Voltage(void);
uint32_t RTE_ForceRead_FUEL1_Voltage(void);
uint32_t RTE_ForceRead_FUEL_VREF_Voltage(void);

uint32_t RTE_Read_KL15_Voltage(void);
uint32_t RTE_Read_KL30_Voltage(void);
uint32_t RTE_Read_FUEL1_Voltage(void);
uint32_t RTE_Read_FUEL_VREF_Voltage(void);


uint8_t RTE_Read_KL30_Valid(void);
uint8_t RTE_Read_FUEL1_Valid(void);
uint8_t RTE_Read_FUEL_VREF_Valid(void);

void RTE_ADC_Init(void);



#endif
